curl --request PATCH \
--url https://api.helpdesk.com/v1/cannedResponses/{cannedResponseID} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"teamID": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"text": "Thank you for contacting us! We'll reply soon!",
"shortcuts": [
"ThankYou"
],
"richTextObj": [],
"transactionID": "050340e4-82de-4a2a-a1c4-724dfaf66cec"
}
EOFimport requests
url = "https://api.helpdesk.com/v1/cannedResponses/{cannedResponseID}"
payload = {
"teamID": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"text": "Thank you for contacting us! We'll reply soon!",
"shortcuts": ["ThankYou"],
"richTextObj": [],
"transactionID": "050340e4-82de-4a2a-a1c4-724dfaf66cec"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamID: 'f56caf69-3f05-4386-9567-fdc909d7ad77',
text: 'Thank you for contacting us! We\'ll reply soon!',
shortcuts: ['ThankYou'],
richTextObj: [],
transactionID: '050340e4-82de-4a2a-a1c4-724dfaf66cec'
})
};
fetch('https://api.helpdesk.com/v1/cannedResponses/{cannedResponseID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ID": "42e113f9-9353-4e89-9f68-69b92f423b0c",
"licenseID": 13381337,
"createdAt": "2026-06-30T22:02:08.901Z",
"createdBy": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"createdByType": "agent",
"updatedAt": "2026-06-30T22:02:08.901Z",
"updatedBy": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"teamID": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"shortcuts": [
"ThankYou"
],
"text": "Thank you for contacting us! We'll reply soon!",
"richTextObj": [],
"attachments": [
{
"url": "https://example.com",
"cid": "",
"name": "",
"size": 0,
"type": "",
"sha256": "",
"token": ""
}
]
}Update canned response
Authorizations
Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.
Path Parameters
Body
Canned response team
"f56caf69-3f05-4386-9567-fdc909d7ad77"
"Thank you for contacting us! We'll reply soon!"
List of shortcuts for the canned response
Richtext object representing canned response body
References transaction containing uploaded attachment used in canned response.
Response
Successful response.
Unique object identifier.
Unique account identifier.
The time of creation.
The creator identifier.
The creator type.
agent, client, system The time of last modification.
The modification author identifier.
The canned response team.
A list of shortcuts for the canned response.
A richtext object representing canned response body.
The attachments list used in richTextObj.
Show child attributes
Show child attributes
Was this page helpful?